# Function makeEvent

- makeEvent(registry, transitionService, eventType): ((matchObject: any, callback: any, options?: {}) => any)

- Return a registration function of the requested type.

  #### Parameters

  - registry: any
  - transitionService: any
  - eventType: any

  #### Returns ((matchObject: any, callback: any, options?: {}) => any)

  - - (matchObject, callback, options?): any

    - #### Parameters

      - matchObject: any
      - callback: any
      - options: {} = {}

      #### Returns any

  - Defined in router/transition/hook-registry.js:151